Summary:	A terminal interface for exploring and arranging tabular data
Name:		visidata
Version:	3.0.2
Release:	1
License:	GPL v3+
Group:		Applications
Source0:	https://github.com/saulpw/visidata/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	484e354eb87523997e809cf5cd78cc43
URL:		https://www.visidata.org/
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3 >= 1:3.7
Requires:	python3-modules >= 1:3.7
Suggests:	python3-lxml
Suggests:	python3-odfpy
Suggests:	python3-openpyxl
Suggests:	python3-tabulate
Suggests:	python3-xlrd
Suggests:	python3-xlwt
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VisiData is an interactive multitool for tabular data. It combines the
clarity of a spreadsheet, the efficiency of the terminal, and the
power of Python, into a lightweight utility which can handle millions
of rows with ease.

%prep
%setup -q

%{__sed} -i -e '1 s,#!.*env.* vd ,#!%{_bindir}/vd ,' bin/vd2to3.vdx

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vd
%attr(755,root,root) %{_bindir}/vd2to3.vdx
%attr(755,root,root) %{_bindir}/visidata
%{py3_sitescriptdir}/visidata
%{py3_sitescriptdir}/visidata-%{version}-py*.egg-info
%{_mandir}/man1/vd.1*
%{_mandir}/man1/visidata.1*
%{_desktopdir}/visidata.desktop
%changelog
* Wed Jan 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/visidata.git;a=log;h=master

* Tue Jan 16 2024 Jan Palus <atler@pld-linux.org> 5a5d572
- up to 3.0.2

* Mon Jan 08 2024 Jan Palus <atler@pld-linux.org> 63084b2
- up to 3.0.1

* Mon Jan 01 2024 Jan Palus <atler@pld-linux.org> 49a5005
- up to 3.0

* Tue Jul 18 2023 Jan Palus <atler@pld-linux.org> 28e7301
- up to 2.11.1

* Mon Jan 16 2023 Jan Palus <atler@pld-linux.org> 4caa3f4
- up to 2.11

* Sat Oct 08 2022 Jan Palus <atler@pld-linux.org> 0a73091
- macros for %py3_build

* Sat Oct 08 2022 Jan Palus <atler@pld-linux.org> 132533e
- up to 2.10.2

* Thu Sep 15 2022 Jan Palus <atler@pld-linux.org> 783248f
- up to 2.10.1

* Mon Aug 29 2022 Jan Palus <atler@pld-linux.org> 4400ce6
- up to 2.10

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> 967522d
- up to 2.9.1

* Thu Jul 21 2022 Jan Palus <atler@pld-linux.org> 6fe1c04
- up to 2.9

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f17d8ea
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 0c1007b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c8d0d77
- rebuild with python 3.10

* Fri Feb 18 2022 Jan Palus <atler@pld-linux.org> b422ee7
- S: modules providing support for more common formats; rel 1

* Sat Feb 12 2022 Jan Palus <atler@pld-linux.org> 4c58eec
- new

